import '@material/web/icon/icon.js';
import '@material/web/button/elevated-button.js';
import '@material/web/textfield/filled-text-field.js';
import '@operato/i18n/ox-i18n.js';
import '@operato/i18n/ox-i18n-selector.js';
import '@operato/layout/ox-snack-bar.js';
import '../components/profile-component.js';
import { AbstractAuthPage } from './abstract-auth-page.js';
export declare abstract class AbstractPasswordReset extends AbstractAuthPage {
    static styles: import("lit").CSSResult[];
    data: any;
    token?: string;
    confirmPass: HTMLElement;
    private passwordPattern;
    private passwordHelp;
    abstract get submitButtonLabel(): string;
    render(): import("lit-html").TemplateResult<1>;
    updated(changed: any): void;
    languageUpdated(): void;
    submit(): Promise<void>;
}
